<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TotemKit.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dad/_totem_kit_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TotemKit.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/dad/_totem_kit_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>TerritoryFlagKit <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/d49/class_kit_base.html">KitBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#ac4449376b9d44cd52d51c2e28f2a089e">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#ac4449376b9d44cd52d51c2e28f2a089e">PlacementCanBeRotated</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">DoPlacingHeightCheck</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">HeightCheckOverride</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> 11.3;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">CanReceiveAttachment</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <span class="keywordtype">int</span> slotId)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( !super.CanReceiveAttachment(attachment, slotId) )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> att = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().FindAttachment(slotId));</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (att)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// ADVANCED PLACEMENT</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">//================================================================          </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">OnPlacementComplete</a>( Man player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = <span class="stringliteral">&quot;0 0 0&quot;</span>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        super.OnPlacementComplete( player, position, orientation );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="comment">//Create TerritoryFlag</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            TerritoryFlag totem = TerritoryFlag.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx( <span class="stringliteral">&quot;TerritoryFlag&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a> ) );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            totem.SetPosition( position );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            totem.SetOrientation( orientation );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="comment">//make the kit invisible, so it can be destroyed from deploy UA when action ends</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a2ca2cf0c593791fc584d0d4ed23d049c">HideAllSelections</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a0574524e0d80c1c2eced4a562a4e3e47">SetIsDeploySound</a>( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02c3b4a9ed40f2c1136ad96a467d8b54">IsHologram</a>())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> stick = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(<span class="stringliteral">&quot;WoodenStick&quot;</span>,<a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(),<a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            MiscGameplayFunctions.TransferItemProperties(<span class="keyword">this</span>, stick);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            stick.SetQuantity(3);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            Rope rope = Rope.Cast(item);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            CreateRope(rope);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">// DEBUG</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">//================================================================  </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;SledgeHammer&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Hammer&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Shovel&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        Nail nails = Nail.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Nail&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>()));</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        nails.SetQuantity(60);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Rope&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;MetalWire&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Flag_DayZ&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i0 = 0; i0 &lt; 32; i0++)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;Stone&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i1 = 0; i1 &lt; 10; i1++)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a>(<span class="stringliteral">&quot;WoodenLog&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a02c3b4a9ed40f2c1136ad96a467d8b54"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02c3b4a9ed40f2c1136ad96a467d8b54">IsHologram</a></div><div class="ttdeci">override bool IsHologram()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01380">EntityAI.c:1380</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a2ca2cf0c593791fc584d0d4ed23d049c"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a2ca2cf0c593791fc584d0d4ed23d049c">HideAllSelections</a></div><div class="ttdeci">void HideAllSelections()</div><div class="ttdoc">Sets all animation values to 1, making them INVISIBLE if they are configured in models....</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01149">EntityAI.c:1149</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a5e20db320a1358c6acdcf9f60a786f31"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a5e20db320a1358c6acdcf9f60a786f31">SpawnEntityOnGroundPos</a></div><div class="ttdeci">EntityAI SpawnEntityOnGroundPos(string object_name, vector pos)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01757">EntityAI.c:1757</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_a4389063907bd8acede7114e3887d6102"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a></div><div class="ttdeci">const int ECE_PLACE_ON_SURFACE</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00034">CentralEconomy.c:34</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a0574524e0d80c1c2eced4a562a4e3e47"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a0574524e0d80c1c2eced4a562a4e3e47">SetIsDeploySound</a></div><div class="ttdeci">void SetIsDeploySound(bool is_deploy_sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09062">ItemBase.c:9062</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_kit_base_html"><div class="ttname"><a href="../../d3/d49/class_kit_base.html">KitBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/de8/_fence_kit_8c_source.html#l00001">FenceKit.c:2</a></div></div>
<div class="ttc" id="aclass_kit_base_html_a0a82a499255c4e510f6e3d83c4886e79"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">KitBase::CanReceiveAttachment</a></div><div class="ttdeci">override bool CanReceiveAttachment(EntityAI attachment, int slotId)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00018">TotemKit.c:18</a></div></div>
<div class="ttc" id="aclass_kit_base_html_a841a0f2fda501712be882c3041a0d9b1"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">KitBase::HeightCheckOverride</a></div><div class="ttdeci">override float HeightCheckOverride()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00013">TotemKit.c:13</a></div></div>
<div class="ttc" id="aclass_kit_base_html_a9ff414a7884f5cf3ffe94eefb246b335"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">KitBase::DisassembleKit</a></div><div class="ttdeci">override void DisassembleKit(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00052">TotemKit.c:52</a></div></div>
<div class="ttc" id="aclass_kit_base_html_aa0f2e574092753736b4bcd85d5d9fb0e"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">KitBase::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00068">TotemKit.c:68</a></div></div>
<div class="ttc" id="aclass_kit_base_html_ac4449376b9d44cd52d51c2e28f2a089e"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#ac4449376b9d44cd52d51c2e28f2a089e">KitBase::PlacementCanBeRotated</a></div><div class="ttdeci">override bool PlacementCanBeRotated()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00003">TotemKit.c:3</a></div></div>
<div class="ttc" id="aclass_kit_base_html_ad0bb89fe5e840dbdf516166f6e2f30ad"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">KitBase::DoPlacingHeightCheck</a></div><div class="ttdeci">override bool DoPlacingHeightCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00008">TotemKit.c:8</a></div></div>
<div class="ttc" id="aclass_kit_base_html_af347fffd6cac61bb467c749e2c0e0926"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">KitBase::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dad/_totem_kit_8c_source.html#l00034">TotemKit.c:34</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d3/dad/_totem_kit_8c.html">TotemKit.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
